/*  (C) Copyright 2009-2012 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_ACC48_LE_H_
#define QMSS_ACC48_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int acc48_le[] =  {
     0x21000300,
     0x80013000,
     0x01060000,
     0x241117e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff8982,
     0x2400ff06,
     0x2400ff26,
     0x2400ff46,
     0x2400ff66,
     0x24002f25,
     0x24000065,
     0x244000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02081,
     0x6f00e0fe,
     0x1d004545,
     0xc91fff03,
     0x1f1fffff,
     0x1f004545,
     0x01012525,
     0x69302502,
     0x24002025,
     0x93002087,
     0xc907274b,
     0x69802718,
     0x61300703,
     0x24000367,
     0x21006400,
     0x61200707,
     0x052007e0,
     0xd0e08303,
     0x24000467,
     0x21006400,
     0x1ce08383,
     0x21002900,
     0xce07e2fc,
     0x1c07e2e2,
     0x10070705,
     0x090405e0,
     0x090205e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e02088,
     0x117f4545,
     0x51008c02,
     0x2301469e,
     0x24000167,
     0x21006400,
     0x6981271e,
     0x242000e0,
     0x60e08a03,
     0x24000667,
     0x21006400,
     0x61300703,
     0x24000367,
     0x21006400,
     0x61200707,
     0x052007e0,
     0xc8e08303,
     0x24000567,
     0x21006400,
     0x1ee08383,
     0x21004500,
     0xd607e2fc,
     0x1e07e2e2,
     0x2400006b,
     0x2400008c,
     0x240000cc,
     0xd1014b03,
     0xc9004b02,
     0x1f016b6b,
     0x090407e0,
     0x090207e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x82e02088,
     0x24000167,
     0x21006400,
     0x69822709,
     0x240000e0,
     0x81002280,
     0x1f1fffff,
     0x81042288,
     0x248003e0,
     0x81002280,
     0x24000167,
     0x21006400,
     0x69832704,
     0x10e8e8c3,
     0x24000167,
     0x21006400,
     0x69842704,
     0x10e8e8e4,
     0x24000167,
     0x21006400,
     0x24000267,
     0x24000027,
     0x81002087,
     0x5100c302,
     0x23015f9e,
     0x51008402,
     0x23017b9e,
     0x2301179e,
     0x24000005,
     0x110f65e0,
     0x690fe003,
     0x2301179e,
     0x21006c00,
     0x61200504,
     0x052005e0,
     0xc8e08334,
     0x21007500,
     0xc805e232,
     0x117f4545,
     0x090405e0,
     0x090205e1,
     0x00e1e0e0,
     0x0140e0f0,
     0x92f02088,
     0xd1026b2b,
     0x01018ce0,
     0x50cae020,
     0x0b058ae0,
     0x0902e0e0,
     0x90e02581,
     0xd1054b07,
     0xc88ae10f,
     0x108a8a8d,
     0x2300ae9e,
     0x01018ce0,
     0x50cae017,
     0x21009100,
     0x10e8e1ee,
     0x2701ee8d,
     0x51208d07,
     0x1c8deeee,
     0x008a8d8d,
     0x2300ae9e,
     0x01018ce0,
     0x6ecae0fa,
     0x21009d00,
     0xc9074506,
     0xc9014b05,
     0xd1004b02,
     0xd1016b03,
     0x108b8bcc,
     0x1f016b6b,
     0xc9016b0e,
     0x5100cc04,
     0xc900450c,
     0x0501cccc,
     0x6900cc0a,
     0x51008c09,
     0x010005e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x2100a300,
     0x91082380,
     0xd0e1e002,
     0x2300f59e,
     0x82f02088,
     0x4f1f056d,
     0x511f0504,
     0x01010505,
     0x673005c3,
     0x21001300,
     0x10252505,
     0x673005c0,
     0x21001300,
     0x2484008f,
     0x24000bcf,
     0x090205e0,
     0x0005e0e0,
     0x0906e0e0,
     0x00e0efef,
     0x01018ccd,
     0x04cdcacd,
     0x5100cd3e,
     0x110c4b00,
     0x5104001c,
     0x5108002f,
     0x1904cdcd,
     0x09048de0,
     0x010ce0e0,
     0x90e02691,
     0x5100f136,
     0x7101cd0c,
     0x90e02692,
     0x6900f202,
     0x240001cd,
     0x7102cd08,
     0x90e02693,
     0x6900f302,
     0x240002cd,
     0x7103cd04,
     0x90e02694,
     0x6900f402,
     0x240003cd,
     0x09028ce1,
     0xc9044b02,
     0x0104e1e1,
     0x0902cd00,
     0xeee1cf11,
     0x00cd8c8c,
     0x1f074545,
     0x5704cde2,
     0x2100f400,
     0x1902cdcd,
     0x09048de0,
     0x0108e0e0,
     0x90e06691,
     0x5100f21c,
     0x108d8dd1,
     0x5101cd04,
     0x90e06693,
     0x6900f402,
     0x240001cd,
     0x108d8dd3,
     0x09038ce1,
     0xc9044b02,
     0x0108e1e1,
     0x0903cd00,
     0xeee1cf11,
     0x00cd8c8c,
     0x1f074545,
     0x5702cdce,
     0x2100f400,
     0x1901cdcd,
     0x09048de0,
     0x90e0e691,
     0x5100f409,
     0x108d8dd3,
     0x09048ce1,
     0xc9044b02,
     0x0110e1e1,
     0xe0e1ef91,
     0x01018c8c,
     0x1f074545,
     0x2100b400,
     0x209e0000,
     0x24840095,
     0x24000bd5,
     0x090205e0,
     0x0005e0e0,
     0x0906e0e0,
     0x00e0f5f5,
     0x0b024be0,
     0x1103e0e0,
     0x0102e0e1,
     0xc9044b04,
     0x108c8ce0,
     0xe1003580,
     0x21010700,
     0x2eff8791,
     0x24000100,
     0x08e10000,
     0x08e18cc0,
     0xeec0d511,
     0x10e9e9f6,
     0xc9006b03,
     0x08e1cae0,
     0x00e0f6f6,
     0x01018ce0,
     0x08e1e097,
     0x249030d7,
     0x13f06500,
     0x270000e0,
     0x0906e0e1,
     0x80e1a895,
     0x1f026b6b,
     0x1ee06565,
     0x0118e001,
     0x2c800501,
     0x209e0000,
     0x110f6518,
     0x27011838,
     0x5120382c,
     0x1c381818,
     0x090638e0,
     0x90e0a895,
     0xd71ef7fb,
     0x6f0097fa,
     0x010438e1,
     0xd0e16509,
     0x1ee16565,
     0x0504f5e1,
     0x0504f6f5,
     0x10e1e1f6,
     0x24000497,
     0x249030d7,
     0x80e0a895,
     0x21011800,
     0x1ce16565,
     0x1c386565,
     0x01183801,
     0x2c200158,
     0x090458e0,
     0x090258e1,
     0x00e1e0e0,
     0x0140e0f0,
     0x92f02088,
     0x1d026b6b,
     0x15016b6b,
     0x2400008c,
     0x1d016b6b,
     0xd1014b04,
     0xc9004b03,
     0x108b8bcc,
     0x1f016b6b,
     0x82f02088,
     0x010058e0,
     0x240001e1,
     0x6120e005,
     0x0520e0e0,
     0x08e0e1e1,
     0x81042381,
     0x21011800,
     0x08e0e1e1,
     0x81002381,
     0x21011800,
     0x209e0000,
     0x109e9ede,
     0x010005e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x21014d00,
     0x91082380,
     0xd6e1e0fa,
     0xd1026b0c,
     0x110f65e0,
     0x690fe009,
     0x2301179e,
     0x110f65e0,
     0x570fe0fe,
     0x090405e0,
     0x090205e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e02088,
     0x2300f59e,
     0x2301179e,
     0x110f65e0,
     0x6f00e0fe,
     0x10dede9e,
     0x209e0000,
     0x0904c3e0,
     0x010ce0e0,
     0x90e02691,
     0x5100f118,
     0x11f01111,
     0xf3007187,
     0x11c067e0,
     0x5100e003,
     0x5180e00e,
     0x21017a00,
     0xd10fe902,
     0x240000ec,
     0x240000f0,
     0xc90ee902,
     0x1f1ff0f0,
     0x111f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06690,
     0x5700eced,
     0xf3006c87,
     0x21016b00,
     0x111f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02691,
     0x21015f00,
     0x209e0000,
     0x090484e0,
     0x010ce0e0,
     0x90e02691,
     0x5100f10d,
     0x10f1f1f0,
     0x11f01010,
     0xf5003087,
     0x11c067e0,
     0x6900e005,
     0xc91fe904,
     0x240006c0,
     0x24800880,
     0xe100208f,
     0x0904c4e0,
     0x010ce0e0,
     0x80e02691,
     0x209e0000 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_ACC48_LE_H_ */

