/*  (C) Copyright 2009-2012 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_LE_H_
#define QMSS_QOS_SCHED_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_le[] =  {
     0x21000300,
     0x80100000,
     0x01000005,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff8182,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248010c1,
     0x24000582,
     0x240100c2,
     0x241ff8e0,
     0x80e06981,
     0x24000046,
     0x240950c3,
     0x2eff878b,
     0x2401c48c,
     0x2404c0cc,
     0x2400584d,
     0x2400f06d,
     0x2400084e,
     0x2400286e,
     0x80c3e98b,
     0x00ccc3c3,
     0x01014646,
     0x510c4609,
     0x6f0246fc,
     0x2400448c,
     0x240090cc,
     0x2400384d,
     0x2400806d,
     0x2400044e,
     0x2400046e,
     0x21001c00,
     0x1f0fc2c2,
     0x241f80e0,
     0x92e02983,
     0xc90fc203,
     0x1d0fc2c2,
     0x21005100,
     0x9083a988,
     0x90c3e98b,
     0x92846993,
     0x90c4e98f,
     0x90856999,
     0xc846c21c,
     0x5100fa15,
     0x00278286,
     0x00478686,
     0x00078686,
     0x090486e0,
     0x90e06780,
     0xd1020803,
     0x70fae00e,
     0x21003e00,
     0x70fae10c,
     0x108686e0,
     0x2301ed9e,
     0x241f00e1,
     0x82e1a98b,
     0x92c5a98b,
     0x00e0efef,
     0x0300eeee,
     0x0101f1f1,
     0x82c5a98b,
     0x92e1a98b,
     0x21003800,
     0x2301e79e,
     0x6018070b,
     0x2301d99e,
     0x58286603,
     0x2301e29e,
     0x21005500,
     0x2301c99e,
     0x610c4602,
     0x2301c29e,
     0xc846c203,
     0x2301d29e,
     0x2301e29e,
     0xc91fff05,
     0x1f1fffff,
     0x241f80e0,
     0x82e02983,
     0x21005b00,
     0x21003300,
     0x91006983,
     0xc907039b,
     0x240001e4,
     0x69800303,
     0x108282c3,
     0x2100f500,
     0x69810307,
     0x111fc3e0,
     0x5100e003,
     0x240003e4,
     0x2100f500,
     0x10c3c382,
     0x2100f500,
     0x69820308,
     0x240000e0,
     0x81002280,
     0x10c3c3e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2100f500,
     0x6990033d,
     0x1f0fc2c2,
     0x5f0cc3f2,
     0x51012304,
     0x51002325,
     0x240004e4,
     0x2100f500,
     0x1ec3c2c2,
     0x240950c5,
     0x240090e1,
     0x10c3c3e0,
     0x5100e006,
     0x4902e002,
     0x2404c0e1,
     0x00e1c5c5,
     0x0501e0e0,
     0x4f00e0fc,
     0x90c5e987,
     0x240000e7,
     0x2400000a,
     0x2400002a,
     0x10c8c885,
     0x10c5c5e0,
     0x240000e6,
     0x80e02986,
     0x05048585,
     0x0104e0e0,
     0x6f0085fd,
     0x80c5e987,
     0x10c3c3e0,
     0x2301c29e,
     0x50e04603,
     0x2301c99e,
     0x21008f00,
     0x2301d29e,
     0x50286604,
     0x10383812,
     0x2301d99e,
     0x21009300,
     0x240001e4,
     0x2100f500,
     0x1cc3c2c2,
     0x10c3c3e0,
     0x2301c29e,
     0x50e04603,
     0x2301c99e,
     0x21009c00,
     0x00822786,
     0x2400009b,
     0x506e9b0a,
     0x090486e0,
     0x90e02780,
     0x5100e004,
     0x108686e0,
     0x2301ed9e,
     0x2100a200,
     0x01019b9b,
     0x01018686,
     0x2100a100,
     0x240001e4,
     0x2100f500,
     0x6991031c,
     0x5f0cc3b6,
     0x24004086,
     0x240320c6,
     0x240044e1,
     0x10c3c3e0,
     0x5100e006,
     0x4902e002,
     0x2401c4e1,
     0x00e1c6c6,
     0x0501e0e0,
     0x4f00e0fc,
     0x24004485,
     0x5902c302,
     0x2401c485,
     0x51002304,
     0x1f0fc2c2,
     0x51012304,
     0x21007500,
     0x10c6c686,
     0x240040c6,
     0x90862987,
     0x80c62987,
     0x01048686,
     0x0104c6c6,
     0x05048585,
     0x4f0085fb,
     0x2100f500,
     0x6992032b,
     0x10e3e3fb,
     0x110fdbe0,
     0x5f0ce098,
     0x2301c29e,
     0x50e04603,
     0x2301c99e,
     0x66e046ff,
     0x0b04dbe0,
     0x110fe0e0,
     0x5e28e091,
     0x2301d29e,
     0x50e06603,
     0x2301d99e,
     0x66e066ff,
     0x0b08dbe0,
     0x5e18e08b,
     0x2301e29e,
     0x50e00703,
     0x2301e79e,
     0x66e007ff,
     0x92c5a98b,
     0x10ededf2,
     0x10ececf3,
     0x10efeff4,
     0x10eeeef5,
     0x10f0f0f6,
     0x10f1f1f7,
     0x240300e0,
     0x82e06992,
     0xc9003b03,
     0x240000ed,
     0x240000ec,
     0xc9013b02,
     0x240000f0,
     0xc9023b03,
     0x240000ef,
     0x240000ee,
     0xc9033b02,
     0x240000f1,
     0x82c5a98b,
     0x240001e4,
     0x2100f500,
     0x240002e4,
     0x24000003,
     0x81006983,
     0x2301c29e,
     0xc846c25e,
     0x00e9ebeb,
     0xd11feb03,
     0x70eaeb02,
     0x10eaeaeb,
     0x2301d29e,
     0x2400001b,
     0x00f3efef,
     0xd11fef03,
     0x70f5ef02,
     0x10f5f5ef,
     0x00f4f0f0,
     0x5100f006,
     0xd11ff005,
     0x1e661b1b,
     0xd11ff003,
     0x70f6f002,
     0x10f6f6f0,
     0x2301d99e,
     0x662866f4,
     0x2400ff3b,
     0x2301d29e,
     0x5100ef10,
     0xd11fef0f,
     0x5100eb49,
     0xd11feb48,
     0x23015b9e,
     0x6900e003,
     0x1c663b3b,
     0x21011e00,
     0x090be0e0,
     0xd1010803,
     0x240001e0,
     0x0914e0e0,
     0x04e0ebeb,
     0x04e0efef,
     0x04e0f0f0,
     0x21010e00,
     0x2301d99e,
     0x662866ef,
     0x2301d29e,
     0x502e6603,
     0x2301d99e,
     0x21012100,
     0x5100eb32,
     0xd11feb31,
     0x103b1be0,
     0x5100e02f,
     0x100ee0e0,
     0x6900e00e,
     0x2301d99e,
     0x2301d29e,
     0x1e660e0e,
     0x10f7f7f1,
     0x2301d99e,
     0x662866fd,
     0x103b0ee0,
     0x101be0e0,
     0x5100e024,
     0x2301d29e,
     0x502e6603,
     0x2301d99e,
     0x21013400,
     0xc82ee019,
     0x23015b9e,
     0x6900e003,
     0x1c2e3b3b,
     0x21015000,
     0x10e0e0e1,
     0x090be1e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x090be0e0,
     0xd1000803,
     0x240001e0,
     0x0914e0e0,
     0x04e1ebeb,
     0x04e1f0f0,
     0x04e0f1f1,
     0x5100f003,
     0xd11ff002,
     0x21014c00,
     0x1c2e1b1b,
     0x5100f103,
     0xd11ff102,
     0x21015000,
     0x1c2e0e0e,
     0x2301d99e,
     0x01012e2e,
     0x66282ed2,
     0x2400002e,
     0x2301d29e,
     0x21012400,
     0x2301c99e,
     0x670c46a1,
     0x21002900,
     0x80c4e98f,
     0x21015600,
     0x109e9ede,
     0x241e00e1,
     0x80e1698b,
     0x004727e1,
     0x0082e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e16b,
     0x0058380b,
     0x2301e29e,
     0x50380706,
     0xc8076b03,
     0x2301ae9e,
     0x2101a000,
     0x2301e79e,
     0x663807fc,
     0x5100582c,
     0x50120703,
     0x2301e79e,
     0x21016e00,
     0x2400002b,
     0x106b32e1,
     0x6900e111,
     0x2301e29e,
     0x50380703,
     0x2301e79e,
     0x21017500,
     0x1038384b,
     0x1e4b3232,
     0x80c52999,
     0x01014b4b,
     0x2301e79e,
     0x660b4bfc,
     0x106b32e1,
     0x5100e117,
     0x2301e29e,
     0x50120703,
     0x2301e79e,
     0x21018100,
     0x106b32e1,
     0xc812e10f,
     0x2301ae9e,
     0x090be0e1,
     0xd1000803,
     0x240001e1,
     0x0914e1e1,
     0x90c5298c,
     0x04e1ecec,
     0x80c5298c,
     0x5100ec03,
     0xd11fec02,
     0x21019200,
     0x1c123232,
     0x2301a49e,
     0x2101a000,
     0x2301a49e,
     0x66582bdd,
     0x500b0703,
     0x2301e79e,
     0x21019600,
     0x50180706,
     0xc8076b03,
     0x2301ae9e,
     0x2101a000,
     0x2301e79e,
     0x661807fc,
     0x240000e0,
     0x241e00e1,
     0x90e1698b,
     0x10dede9e,
     0x209e0000,
     0x10fefee1,
     0x01011212,
     0x600b1203,
     0x2301e29e,
     0x10383812,
     0x50120703,
     0x2301e79e,
     0x2101a900,
     0x10e1e1fe,
     0x209e0000,
     0x241f00e1,
     0x82e1a98b,
     0x92c5a98b,
     0x004727e0,
     0x0007e0e0,
     0x0082e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f0f0,
     0x00e0eded,
     0x0300ecec,
     0x82c5a98b,
     0x0904c8f0,
     0x0108f0f0,
     0x80f06680,
     0x241f00e1,
     0x92e1a98b,
     0x209e0000,
     0x24000046,
     0x24000027,
     0x24032083,
     0x240950c3,
     0x9083a988,
     0x90c3e98b,
     0x209e0000,
     0x80c3e98b,
     0x008c8383,
     0x00ccc3c3,
     0x01014646,
     0x006e2727,
     0x510c4603,
     0x9083a988,
     0x90c3e98b,
     0x209e0000,
     0x24000066,
     0x24000047,
     0x010c8384,
     0x0110c3c4,
     0x92846993,
     0x90c4e98f,
     0x209e0000,
     0x80c4e98f,
     0x004d8484,
     0x006dc4c4,
     0x01016666,
     0x004e4747,
     0x58286603,
     0x92846993,
     0x90c4e98f,
     0x209e0000,
     0x24000007,
     0x01188485,
     0x0110c4c5,
     0x90856999,
     0x209e0000,
     0x01088585,
     0x011cc5c5,
     0x01010707,
     0x58180702,
     0x90856999,
     0x209e0000,
     0x241e80e1,
     0x84e12982,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06682,
     0x11f00303,
     0x10e2e2e4,
     0xf3006385,
     0x11c065e0,
     0x5100e003,
     0x5180e00e,
     0x21020900,
     0xd10fe702,
     0x240000ea,
     0x240000e2,
     0xc90ee702,
     0x1f1fe2e2,
     0x111f2727,
     0x090487e0,
     0x0108e0e0,
     0x80e06682,
     0x5100ea07,
     0xf3006a85,
     0x2101fb00,
     0x111f2727,
     0x090487e0,
     0x010ce0e0,
     0x80e02683,
     0x10e4e4e0,
     0x241e80e1,
     0x94e12982,
     0x209e0000,
     0x00000044,
     0x000001c4,
     0x00000090,
     0x000004c0,
     0x0000000c,
     0x00000078,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_LE_H_ */

